<!DOCTYPE html>
<html lang="{{ with .Site.LanguageCode }}{{ . }}{{ else }}en-US{{ end }}">
    <head>
    {{ partial "head.html" . }}
    {{ block "meta" . }}
    {{ end }}
    </head>
    <body>
        <div class="container">
            {{ partial "header.html" . }}
            {{ block "main" . }}
            <!-- The part of the page that begins to differ between templates -->
            {{ end }}
            {{ block "footer" . }}
            <!-- More shared code, perhaps a footer but that can be overridden if need be in  -->
            {{ partial "footer.html" . }}
            {{ end }}
        </div>
        {{ partial "scripts.html" . }}
    </body>
</html>
